package com.srs.comprehensive.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * 辅导员信息(InfoTeacher)实体类
 *
 * @author Chao
 * @since 2023-07-14 09:27:11
 */
public class InfoTeacher implements Serializable {
    private static final long serialVersionUID = 759336218602654324L;
     
    private Long id;
    /**
     * 辅导员姓名
     */ 
    private String teacherName;
    /**
     * 辅导员性别
     */ 
    private String gender;
    /**
     * 年龄
     */ 
    private Long age;
    /**
     * 工号
     */ 
    private String tNo;
    /**
     * 部门id
     */ 
    private Long deptId;
    /**
     * 电话号码
     */ 
    private String phone;
    /**
     * 写入时间
     */ 
    private Date writeTime;
    /**
     * 读取时间
     */ 
    private Date readTime;
    /**
     * 数据状态 1-启用 0-未启用
     */ 
    private String dataStatus;
    /**
     * 读写状态 2-已读 1-未读
     */ 
    private String chmodStatus;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Long getAge() {
        return age;
    }

    public void setAge(Long age) {
        this.age = age;
    }

    public String getTNo() {
        return tNo;
    }

    public void setTNo(String tNo) {
        this.tNo = tNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getWriteTime() {
        return writeTime;
    }

    public void setWriteTime(Date writeTime) {
        this.writeTime = writeTime;
    }

    public Date getReadTime() {
        return readTime;
    }

    public void setReadTime(Date readTime) {
        this.readTime = readTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getChmodStatus() {
        return chmodStatus;
    }

    public void setChmodStatus(String chmodStatus) {
        this.chmodStatus = chmodStatus;
    }

}


